%bcond_with internet

Name:           nodejs-tilelive
Version:        5.10.0
Release:        1%{?dist}
Summary:        Frontend for various tile backends, mapnik and mbtiles

License:        BSD
URL:            https://github.com/mapbox/tilelive
Source0:        https://github.com/mapbox/tilelive/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Remove tests that need internet access
Patch0:         nodejs-tilelive-internet.patch
# https://github.com/mapbox/tilelive/pull/149
Patch1:         nodejs-tilelive-slow.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(concat-stream)
BuildRequires:  npm(mbtiles)
BuildRequires:  npm(minimist)
BuildRequires:  npm(progress-stream)
BuildRequires:  npm(queue-async)
BuildRequires:  npm(sphericalmercator)
BuildRequires:  npm(tape)
BuildRequires:  npm(tilejson)
%if %{with tilelive_http}
BuildRequires:  npm(tilelive-http)
%endif
BuildRequires:  npm(underscore)

%description
Tilelive is an interface for tilestore modules for Node.js. It defines
an API to interact with implementations for a particular tile store.


%prep
%setup -q -n tilelive-%{version}
%if ! %{with internet}
%patch0 -p1
%endif
%patch1 -p1
%nodejs_fixdep progress-stream "^1.1.1"
%nodejs_fixdep minimist "^0.0.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/tilelive
cp -pr package.json bin lib %{buildroot}/%{nodejs_sitelib}/tilelive
mkdir -p %{buildroot}/%{_bindir}
ln -sf %{nodejs_sitelib}/tilelive/bin/copy %{buildroot}/%{_bindir}/tilelive-copy
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.test.js


%files
%doc README.md CHANGELOG.md API.md
%license LICENSE.md
%{nodejs_sitelib}/tilelive
%{_bindir}/tilelive-copy


%changelog
* Fri Oct 16 2015 Tom Hughes <tom@compton.nu> - 5.10.0-1
- Update to 5.10.0 upstream release

* Fri Oct  9 2015 Tom Hughes <tom@compton.nu> - 5.9.1-1
- Update to 5.9.1 upstream release

* Thu Sep 17 2015 Tom Hughes <tom@compton.nu> - 5.9.0-1
- Update to 5.9.0 upstream release

* Wed Sep 16 2015 Tom Hughes <tom@compton.nu> - 5.8.3-1
- Update to 5.8.3 upstream release

* Fri Sep 11 2015 Tom Hughes <tom@compton.nu> - 5.8.2-2
- Fix progress-stream and minimist dependencies

* Thu Sep 10 2015 Tom Hughes <tom@compton.nu> - 5.8.2-1
- Update to 5.8.2 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun  8 2014 Tom Hughes <tom@compton.nu> - 4.5.3-3
- Patch tests for changes caused by sqlite

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec  5 2013 Tom Hughes <tom@compton.nu> - 4.5.3-1
- Update to 4.5.3 upstream release

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 4.5.2-1
- Update to 4.5.2 upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Tom Hughes <tom@compton.nu> - 4.5.0-1
- Update to 4.5.0 upstream release
- Update to latest nodejs packaging standards

* Wed May 29 2013 Tom Hughes <tom@compton.nu> - 4.4.3-3
- Apply optimist patch

* Sun May 26 2013 Tom Hughes <tom@compton.nu> - 4.4.3-2
- Correct path in tilelive-copy link
- Update optimist dependency

* Mon Apr 29 2013 Tom Hughes <tom@compton.nu> - 4.4.3-1
- Update to 4.4.3 upstream release

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 4.3.3-1
- Initial build of 4.3.3
